> ## Documentation Index
> Fetch the complete documentation index at: https://docs.accountingplus.id/llms.txt
> Use this file to discover all available pages before exploring further.

# Monthly Cashflow

> Retrieve data of monthly cashflow

```text Plain Signature wrap theme={null}
path=/v1/dashboard/monthly-cashflow&token=YOUR_TOKEN&email=john@gmail.com&tenant_id=841eaf97-c428-47d1-9f6d-c61cc9df7bee
```


## OpenAPI

````yaml GET /v1/dashboard/monthly-cashflow
openapi: 3.1.0
info:
  title: Accounting+ API
  description: >-
    A comprehensive accounting API that provides endpoints for managing bank
    cash flow vouchers and journal transactions
  version: 1.0.0
servers:
  - url: https://staging-openapi.accountingplus.id
    description: Main API Server
    variables:
      url:
        default: https://staging-openapi.accountingplus.id
        description: The API base URL
security:
  - bearerAuth: []
    signatureKey: []
    dataKey: []
tags:
  - name: Vouchers
    description: Bank cash flow voucher management
  - name: Journals
    description: Journal transaction management
  - name: Purchase Invoices
    description: Purchase invoice management
paths:
  /v1/dashboard/monthly-cashflow:
    get:
      tags:
        - Dashboard
      summary: Get Monthly Cashflow
      description: Retrieve data of monthly cashflow
      parameters:
        - name: year
          in: query
          description: Year
          schema:
            type: number
            example: 2025
        - name: month
          in: query
          description: Month
          schema:
            type: number
            example: 1
      responses:
        '200':
          description: Monthly cashflow retrieved successfully
          content:
            application/json:
              schema:
                type: object
                properties:
                  status:
                    type: string
                    example: '00'
                  message:
                    type: string
                    example: success
                  data:
                    type: object
                    properties:
                      total_income:
                        type: number
                        example: 112600
                      income_growth:
                        type: number
                        example: 11160
                      total_expense:
                        type: number
                        example: 2000
                      expense_growth:
                        type: number
                        example: -66.67
                      total_balance:
                        type: number
                        example: 15110600
                      balance_growth:
                        type: number
                        example: 5004.93
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT
      description: >-
        Generate a JWT signed with the `client_secret` and include the
        `client_id` as a claim in its payload.
    signatureKey:
      type: apiKey
      in: header
      name: A-Signature
      description: >-
        Generate the signature by creating an `SHA256-HMAC` hash from the plain
        signature above, using the `signature_secret` as the key. Then,
        `Base64-encode` the resulting hash and place the final value in the
        A-Signature header.
    dataKey:
      type: apiKey
      in: header
      name: A-Data
      description: Include the `email` and `tenant_id` in the payload as Base64 encoded.

````